Skip to content

Retrieve a Balance by ID

Request

Returns a balance based on the specified balance ID.

Security
UserToken or PersonalToken
Path
profileIdinteger, (int64)required

The profile ID.

balanceIdinteger, (int64)required

The balance ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/2026Q3/profiles/{profileId}/balances/{balanceId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

OK - Successfully retrieved the balance.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idinteger, (int64)

Balance ID.

Example:200001
currencystring

Currency code (ISO 4217 Alphabetic Code).

Example:"EUR"
typestring

Type of balance account.

  • STANDARD - Standard balance account. Only one per currency per profile.
  • SAVINGS - Savings balance (Jar). Multiple allowed per currency.
Enum:"STANDARD""SAVINGS"
Example:"STANDARD"
namestring or null

Name of the balance. Required for SAVINGS balances.

Example:null
iconobject or null

Icon for the balance.

Example:null
investmentStatestring

Investment state of the balance.

  • NOT_INVESTED - Balance is not invested.
  • INVESTED - Balance is invested in assets.
  • INVESTING - Balance is being invested into assets.
  • DIVESTING - Balance is being divested from assets.
  • UNKNOWN - Investment state is unknown.
Enum:"NOT_INVESTED""INVESTED""INVESTING""DIVESTING""UNKNOWN"
Example:"NOT_INVESTED"
amountobject

Available balance that can be used to fund transfers.

reservedAmountobject

Amount reserved for transactions.

cashAmountobject

Cash amount in the account.

totalWorthobject

Current total worth.

creationTimestring, (date-time)

Date when the balance was created.

Example:"2020-05-20T14:43:16.658Z"
modificationTimestring, (date-time)

Date when the balance was last modified.

Example:"2020-05-20T14:43:16.658Z"
visibleboolean

Whether the balance is visible to the user.

Example:true
Response
{ "id": 200001, "currency": "EUR", "type": "STANDARD", "name": null, "icon": null, "investmentState": "NOT_INVESTED", "amount": { "value": 310.86, "currency": "EUR" }, "reservedAmount": { "value": 0, "currency": "EUR" }, "cashAmount": { "value": 310.86, "currency": "EUR" }, "totalWorth": { "value": 310.86, "currency": "EUR" }, "creationTime": "2020-05-20T14:43:16.658Z", "modificationTime": "2020-05-20T14:43:16.658Z", "visible": true }